summaryrefslogtreecommitdiff
path: root/skel/multistrap-configure.sh
diff options
context:
space:
mode:
Diffstat (limited to 'skel/multistrap-configure.sh')
-rwxr-xr-xskel/multistrap-configure.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/skel/multistrap-configure.sh b/skel/multistrap-configure.sh
index 3bec557..69a11fb 100755
--- a/skel/multistrap-configure.sh
+++ b/skel/multistrap-configure.sh
@@ -10,7 +10,7 @@
#
# TODO: avoid need for libfakeroot installed into target system
-set -e
+set -eu
set -x
@@ -29,7 +29,7 @@ cat /tmp/preseeds/* 2>&- | debconf-set-selections
cat <<'EOF' >debconf-get
#!/bin/sh
# multistrap debconf wrapper to mimic d-i convenience command
-set -e
+set -eu
debconf-show d-i | grep -Po "(?<=. $1: ).*"
EOF
chmod +x debconf-get
@@ -95,7 +95,7 @@ adduser debian sudo
cat <<'EOF' > /root/init-network-settings
#!/bin/sh
-set -e
+set -eu
set -x
# Add static-IP internal first-port ethernet connection
@@ -133,7 +133,7 @@ chmod a+x /root/init-network-settings
cat <<'EOF' > /root/extend-partition
#!/bin/sh
-set -e
+set -eu
disk="${1:-/dev/mmcblk0}"
part="${2:-/dev/mmcblk0p2}"